User Poll October 2007

We've conducted a user poll for the whole Apache XML Graphics project to gather data for a decision to drop support for Java 1.3 (or even java 1.4). The results:

A total of 87 people responded. Thanks a lot to everyone who has taken the time fo fill out the survey!

Not on data quality: There seems to be at least one case of nearly duplicate entries which I haven't filtered. The IPs were the same. Maybe two people from the same company.

Product Usage

http://people.apache.org/~jeremias/userpoll2007-10/chart-product-usage.png

Comments

Main Production Operating System

http://people.apache.org/~jeremias/userpoll2007-10/chart-prod-os.png

Comments

Main Development Operating System

http://people.apache.org/~jeremias/userpoll2007-10/chart-dev-os.png

Comments

Java

Java versions in production

Java versions in development

Java 1.3 in production

We asked:

If you still use Java 1.3 or earlier in production, do you have a need to stay on the latest versions of Apache XML Graphics products (Batik, FOP, Commons)?

http://people.apache.org/~jeremias/userpoll2007-10/chart-java13.png

This tells us that is now completely safe to drop support for Java 1.3.

Additional questions

We asked:

Are you aware that the end-of-life process for Sun's Java 1.3 has ended in December 2006?

We asked:

J2SE 1.4.2 has begun the Sun End of Life (EOL) process. The EOL transition period is from Dec, 11 2006, until the General Availability (GA) of the next Java version, Java SE 7, currently planned for the summer of 2008. What do you think about the idea of making Java 1.5 the minimum version for all XML Graphics subprojects today?

http://people.apache.org/~jeremias/userpoll2007-10/chart-java15-opinion.png

Comments by respondents

23 respondents left us some comments. Here's a selection:

Conclusion

UserPollOct2007 (last edited 2009-09-20 23:39:12 by localhost)